f



aix 5.2 /dev/random gpg 1.2.2

hello all,

I was wondering if any of you guys have used the gpg 1.2.2 with aix
5.2. I tried to generate keys but the problem is /dev/random which
gives  me the following errors.

Not enough random bytes available.  Please do some other work to give
the OS a chance to collect more entropy! (Need 120 more bytes)

and hangs. anybody encountered this problem?

thanks!

melissa
0
wyl_lyf (56)
4/13/2004 6:59:58 PM
comp.unix.aix 10963 articles. 1 followers. drkirkby (98) is leader. Post Follow

6 Replies
703 Views

Similar Articles

[PageSpeed] 36

melissa_benkyo wrote:
> hello all,
> 
> I was wondering if any of you guys have used the gpg 1.2.2 with aix
> 5.2. I tried to generate keys but the problem is /dev/random which
> gives  me the following errors.
> 
> Not enough random bytes available.  Please do some other work to give
> the OS a chance to collect more entropy! (Need 120 more bytes)
> 
> and hangs. anybody encountered this problem?
> 
> thanks!
> 
> melissa



Use /dev/urandom, or else you need more chaos in your job.
Here's an explanation.

http://www.gsp.com/cgi-bin/man.cgi?section=4&topic=urandom

-- Jason
0
goz_02451 (52)
4/13/2004 8:03:39 PM
ultimately this is telling you that /dev/random needs more data before
it can produce random data for you. i believe /dev/random needs at
least 8m of entropy before it gives you a result....the answer is to
"do more work" i.e. make the server busier.
if you need info immediately use /dev/urandom as this hasnt got the
data requirement of /dev/random, although the random data you receive
will not be "as" random ...
0
4/14/2004 12:18:45 AM
markbwilkinson@hotmail.com (Mark Wilkinson) wrote in message news:<b2a8dede.0404131618.42cab597@posting.google.com>...
> ultimately this is telling you that /dev/random needs more data before
> it can produce random data for you. i believe /dev/random needs at
> least 8m of entropy before it gives you a result....the answer is to
> "do more work" i.e. make the server busier.
> if you need info immediately use /dev/urandom as this hasnt got the
> data requirement of /dev/random, although the random data you receive
> will not be "as" random ...

hello everybody, 

thanks for the help. I tried to make te OS do more work. I guess its
not working hard enough. :D any ideas to make it work harder. I tried
to do find command, typing in the keyboard. but still have the same
error.

melissa
0
wyl_lyf (56)
4/14/2004 1:10:20 PM
melissa_benkyo wrote:
> markbwilkinson@hotmail.com (Mark Wilkinson) wrote in message news:<b2a8dede.0404131618.42cab597@posting.google.com>...
> 
>>ultimately this is telling you that /dev/random needs more data before
>>it can produce random data for you. i believe /dev/random needs at
>>least 8m of entropy before it gives you a result....the answer is to
>>"do more work" i.e. make the server busier.
>>if you need info immediately use /dev/urandom as this hasnt got the
>>data requirement of /dev/random, although the random data you receive
>>will not be "as" random ...
> 
> hello everybody, 
> 
> thanks for the help. I tried to make te OS do more work. I guess its
> not working hard enough. :D any ideas to make it work harder. I tried
> to do find command, typing in the keyboard. but still have the same
> error.
> 
> melissa

Yes, I see this also in gnuPG 1.3.5 (development series) on AIX 5.2.02 
Power4 systems.  Seems the current AIX design for /dev/random uses an 8K 
entropy store and only begins refilling when half-depleted (4k).

Try this to see the effect:  gpg -a --gen-random 2 8000
This generates 8000 bytes of random values, and will usually prompt AIX 
to complain.  File and character IO seem to work best to generate the 
interrupts needed for refill.  Running PTX-3Dmon in a remote X11 window 
is very effective!

Key generation in gpg makes heavy demands on /dev/random, but I would 
not consider lightly changing to /dev/urandom.  Gpg knows about both, 
and uses them appropriately... see this note for gpg details:
http://lists.gnupg.org/pipermail/gnupg-devel/2003-August/020303.html

And you can find more info here on the AIX 5.2 entropy implementation:
(you also, may wish to ask IBM to expand the entropy pool!)
http://lists.gnupg.org/pipermail/gnupg-devel/2003-April/019954.html


Eric
0
Eric.Jones (38)
4/14/2004 7:49:34 PM
In article <304f3217.0404131059.529f2490@posting.google.com>,
melissa_benkyo <wyl_lyf@yahoo.com> wrote:
>I was wondering if any of you guys have used the gpg 1.2.2 with aix
>5.2. I tried to generate keys but the problem is /dev/random which
>gives  me the following errors.
>
>Not enough random bytes available.  Please do some other work to give
>the OS a chance to collect more entropy! (Need 120 more bytes)

There was a similar problem reported for OpenSSH.  It turned out that the
system had been upgraded (5.1->5.2 I think) and /dev/random was not
world readable.  It's worth checking.

-- 
Darren Tucker (dtucker at zip.com.au)
GPG key 8FF4FA69 / D9A3 86E9 7EEE AF4B B2D4  37C9 C982 80C7 8FF4 FA69
    Good judgement comes with experience. Unfortunately, the experience
usually comes from bad judgement.
0
dtucker (551)
4/15/2004 1:57:18 PM
wyl_lyf@yahoo.com (melissa_benkyo) wrote in message news:<304f3217.0404131059.529f2490@posting.google.com>...
> hello all,
> 
> I was wondering if any of you guys have used the gpg 1.2.2 with aix
> 5.2. I tried to generate keys but the problem is /dev/random which
> gives  me the following errors.
> 
> Not enough random bytes available.  Please do some other work to give
> the OS a chance to collect more entropy! (Need 120 more bytes)
> 
> and hangs. anybody encountered this problem?
> 
> thanks!
> 
> melissa

Try using /dev/urandom ?
0
bverzal (169)
4/15/2004 7:33:18 PM
Reply:

Similar Artilces:

KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3 #2
I have seen several emails from different people over the last few months on trying to get KRB5 1.5 or later to compile on AIX 5.x. And no responses that fix the problem. I have had the same problem and can only presume that Kerberos is no longer supported on AIX. Is this the case? No Kerberos on AIX? It just won't compile anymore with the changes to shared libraries. ________________________________________________ Kerberos mailing list Kerberos@mit.edu https://mailman.mit.edu/mailman/listinfo/kerberos >>>>> "Grant," == Grant, Martin <Martin.Grant@fmr.com> writes: Grant,> I have seen several emails from different people over the Grant,> last few months on trying to get KRB5 1.5 or later to Grant,> compile on AIX 5.x. And no responses that fix the Grant,> problem. I have had the same problem and can only presume Grant,> that Kerberos is no longer supported on AIX. Is this the Grant,> case? No Kerberos on AIX? It just won't compile anymore Grant,> with the changes to shared libraries. We no longer run AIX tests. Our donated AIX box was very old and slow, and its disk was in the process of dieing. If there's no one out there in the Kerberos development community who cares enough about AIX to get the betas, test them and send bug fixes, then yes, AIX support is going to be fairly bad. Kerberos is an open-source product; if you want it to work better on your pl...

Printing 2^1, 2^2, 2^3, 2^4 and 2^5
Hi, When I use a while loop, the output is: 2 4 8 16 32, as desired: <?php $c=1; while($c<=5) { $d = newpow(2, $c); print "$d "; $c++; } function newpow($base, $power) { // statements... } ?> The But when I use a for loop, the output is: 64: <?php for($c=1; $c<=5; $c++); { $d = newpow(2, $c); print "$d "; } function newpow($base, $power) { // statements... } ?> Why is this?? Many thanks, Michael mejpark wrote: > When I use a while loop, the output is: 2 4 8 16 32, as desired: [...] > The But when I use a for loop, the output is: 64: > > <?php > > for($c=1; $c<=5; $c++); Here your loop ended right at the ; After the loop comes this: > { > $d = newpow(2, $c); > print "$d "; > } Heiko -- http://portal.richler.de/ Namensportal zu Richler http://www.richler.de/ Heiko Richler: Computer - Know How! http://www.richler.info/ private Homepage On 18 Mar, 11:02, Heiko Richler <heiko-rich...@nefkom.net> wrote: > mejpark wrote: > > When I use a while loop, the output is: 2 4 8 16 32, as desired: > [...] > > The But when I use a for loop, the output is: 64: > > > <?php > > > for($c=1; $c<=5; $c++); > > Here your loop ended right at the ; > > After the loop comes this: > > > { > > $d = newpow(2, $c); > > print "$d "; > > } > > Heiko > > --http://portal.richler.d...

RE: KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3 #2
Exact same errors specifying --without-tcl. I removed the config.cache, config.log, and etc the reran configure. From my configure line - ../configure --prefix=/usr/local/kerberos --enable-dns-for-realm --without-tcl --with-vague-errors Then after make... making all in lib/rpc/unit-test... Target "all" is up to date. cc -I../../../include -I./../../../include -I. -DKRB5_DEPRECATED=1 -DKRB5_PRIVATE=1 -g -qhalt=e -O _THREAD_SAFE -c client.c cc -I../../../include -I./../../../include -I. -DKRB5_DEPRECATED=1 -DKRB5_PRIVATE=1 -g -qhalt=e -O _THREAD_SAFE -c rpc_test_clnt.c cc -L../../../lib -blibpath:/usr/local/kerberos/lib::/usr/lib:/lib -g -qhalt=e -O -D_THREAD_SAFE -o c nt client.o rpc_test_clnt.o -lgssrpc -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lkrb5support -lpthreads ld: 0706-006 Cannot find or open library file: -l k5crypto ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l com_err ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l krb5support ld:open(): A file or directory in the path name does not exist. make: 1254-004 The error code from the last command is 255. Stop. make: 1254-004 The error code from the last command is 1. Stop. make: 1254-004 The error code from the last command is 1. Stop. make: 1254-004 The error code from the last command is 1. Stop. Any ot...

Binary compatibility of AIX 4.2.1 app on AIX 5.2
I have a legacy application that works on AIX 4.2.1 and as we are upgrading the hardware to a box running AIX 5.2, I'm wondering about the binary compatability of the 2 AIX versions as I think the source code has disappeared. Any advice on what to do if it doesn't work? Am I screwed? Tom. Tom Brehony wrote: > I have a legacy application that works on AIX 4.2.1 and as we are upgrading > the hardware > to a box running AIX 5.2, I'm wondering about the binary compatability of > the 2 AIX > versions as I think the source code has disappeared. You chances are very good unless "non-standard" practices have been used. 4.2.1 is too early for 64-bit support so that is not a worry. So as long as the app is not compiled for a specific processor or includes kernel extensions or is timing-dependant, then you should be fine. Having said which, it would be nice to tell what -qarch= value was supplied when it was compiled. Darned if I can remember how to do that though. Anyone care to remind me? > Any advice on what to do if it doesn't work? Am I screwed? Well, yes, except you could continue to run on 4.2.1 until the hardware which will run it evaporates. After all, you waited this long ... Simon Marchese <sjm_news@yahoo.co.uk> writes: > as long as the app is not compiled for a specific processor or > includes kernel extensions or is timing-dependant and as long as it was dynamically linked against libc.a(shr.o) ....

Installing TOMCAT 4.1 (or higher) on AIX 5.1/5.2 #2
Hi, I am searching for information on installing TOMCAT 4.1 (or higher) on AIX 5.1/5.2 platform. Is it possible? Regards ...

oracle 9i release 2 ( 9.2.0.1.0 ) on AIX 5.2
Hi, is there some other sw required beside bos.adt.base, bos.adt.libm, bos.perf.perfstat and bos.perf.libperfstat for running oracle on AIX 5.2 ML5? Regards tomiskra@vodatel.net <tomiskra@vodatel.net> wrote: > is there some other sw required beside bos.adt.base, bos.adt.libm, > bos.perf.perfstat and bos.perf.libperfstat for running oracle on AIX > 5.2 ML5? If you have access to Oracle Metalink, you can find all the information in Note 282036.1, 'Minimum Software Versions and Patches Required to Support Oracle Products on IBM pSeries'. All I quote from here on is an incomplete excerpt from there: You will need Oracle 9.2.0.5 or following (latest is 9.2.0.7). You need at least ML04 with fixes IY64978, IY63366, IY59082, IY75901. Check if ML5 incorporates these fixes! Systems running bos.rte.lvm 5.2.0.41 or later should install APAR IY64691. Systems running bos.rte.lvm 5.2.0.50 should install APAR IY65001. Systems running bos.rte.aio 5.2.0.50 should install APAR IY64737. Required filesets: bos.adt.base bos.adt.lib bos.adt.libm bos.perf.libperfstat bos.perf.perfstat bos.perf.proctools Yours, Laurenz Albe tomiskra@vodatel.net wrote: > Hi, > > is there some other sw required beside bos.adt.base, bos.adt.libm, > bos.perf.perfstat and bos.perf.libperfstat for running oracle on AIX > 5.2 ML5? > > Regards > You will want to setup your AIO servers also. ...

Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ??
Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ?? Regards Bryan Webb On Fri, 8 Jul 2005 bww00amdahl@yahoo.com wrote: > Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ?? We are still running 5.1 here at work and planning to go directly to 5.3 later on this year. -- Matt Nothing great was ever accomplished without _passion_ bww00amdahl@yahoo.com wrote: > Looking for AIX 5.2 binaries, IS anyone running Ruby on AIX 5.2 ?? > We are running ruby 1.8.3 on AIX 5.2. It's more easier to build ruby on AIX with the 1.8.3 version. But you will ha...

Apache 2.2.0 binaries for AIX 5.2
Hi, Does anyone knows where I can get the binaries for Apache on AIX 5.2 for download ? Thanks joe Hello, You'll find binaries for Apache 1.3.34 here: http://aixpdslib.seas.ucla.edu/packages/apache.html Fija, Thanks, but I need binaries for apache 2.2.0 joe Here.. ~ http://www-306.ibm.com/software/webservers/httpservers/ ...

Need to take mksysb backup of AIX 5.2 & 5.1 on AIX 5.1 Server.
Hi All Need docmented notes of step by step installing NIM Server on AIX 5.1 Server. Send me also documented notes on installing the NIM client for Aix 5.2 & 5.1. You can send the docs to prsanwal@gmail.com mail account. Awaiting your quick response. Warm Regards Prateek S How about go search IBM's web site and use the man pages... then if you get stuck, come back here and ask for help... We're not here to do your job for you. seriously! jeez prateek... have a little tact man! you want us to find you a bunch of documentation and mail it to you? and quickly? come on dude... show a little initiative... at least TRY to figure it out by yourself first, and evidence that by posting what you have tried and what happened. i know man pages suck ass (it honestly seems sometimes like they're TRYing to be vague and indirect sometimes). and i know ibm's website is ridiculously, monumentaly unorganized. but shit man, have you have heard of google? or askjeeves? i just searched for "installing NIM server on AIX" on google and found like 12,000 results! i know you come from a different culture where people may act a bit more... direct... in the workplace, but when you post a post like that, where you obviously havent even tried to find out yourself, you want people to find you documentation and EMAIL it to you, and you tell them to be QUICK? shit dude... not really how it works around here. btw- no one can see your email address in case you didnt know...

AIX + GCC 2.95.3 - Python (2.1 or 2.2) - building the shared library (.so) for python
Hi all, (If I use standard -shared linking, during the _import python is crashing.) As seen in in AIX-NOTES there should be used ld_so_aix. But I suspect that it was prepared for standard xlC (CC) compiler. How to make it running for GCC compiler? Now I receive following error: gcc -Wl,-einitlib.a -Wl,-bE:lib.a.exp -Wl,-bI:./python.exp -Wl,-bhalt:4 -Wl,-bM: SRE -Wl,-T512 -Wl,-H512 -lm -o lib.a. -shared -Wl,-bbigtoc -L../../../../lib/pow erpc_aix_4.3_gcc -L/users/tbech/ND/Python/usr/local/lib/python2.1/config python. exp y.tab.o lex.yy.o idlerr.o idlutil.o idltype.o idlrepoId.o idlscope.o idlexpr ..o idlast.o idlvalidate.o idldump.o idlconfig.o idlfixed.o idlpython.o ld: 0711-418 ERROR: Import or export file lib.a.exp at line 10: A symbol name may only be followed by an export attribute or an address. The line is being ignored. When I remove this line 10 from lib.a.exp it is telling that several Py* functions are not exported and that entry point initlib.a not found. Additional questions: 1. Why is such nonuderstandable-ultimate-tricky solution prepared for AIX? 2. Does it work only for xlC (CC) or also for GCC? If, how to do it? 3. What is the entry point function? How I can find it in the sources? 4. Seems that makexp_aix wrongly makes exports :( Thanks in advance, Tom hab <hab@polbox.com> writes: > (If I use standard -shared linking, during the _import python is crashing.) > As seen in in AIX-NOTES there should be used ld_so_aix...

LaTex equation numbering like 2.1, 2.2, also 2.0.1, 2.0,2, 2.1.1, etc
David Roach wrote: > Is there a simple command to have latex number > the equations by the section numbers automatically. > > David From the LaTeX Companion (what a wonderful book!) %%%%%%%%%%%%%%%%%%%%%% % number equations within sections % In preamble \makeatletter \@addtoreset{equation}{section} \makeatother \renewcommand{\theequation}{\thesection.\arabic{equation}} %%%%%%%%%%%%%%%%%%%%%% Numbers within sections...I use this all the time in articles. Even works with ******************* ******************* Brilliant. And then I got numbering within subsections by repeating and editing (not replacing), so I now have:- (Just after the documentClass command) \makeatletter \@addtoreset{equation}{section} \makeatother \renewcommand{\theequation}{\thesection.\arabic{equation}} \makeatletter \@addtoreset{equation}{subsection} \makeatother \renewcommand{\theequation}{\thesubsection.\arabic{equation}} Bob Bob Marlow schrieb: > David Roach wrote: > >> Is there a simple command to have latex number >> the equations by the section numbers automatically. >> >> David > > From the LaTeX Companion (what a wonderful book!) > > %%%%%%%%%%%%%%%%%%%%%% > > % number equations within sections > % In preamble > > \makeatletter > \@addtoreset{equation}{section} > \makeatother > \renewcommand{\theequation}{\thesection.\arabic{equation}} > > %%%%%%%%%%%%%%%%%%%%%% [more code] > Hi! I th...

Error with AIX 5.2 HACMP 5.1 oracle 9i RAC #2
I intall oracle 9i RAC on AIX 5.2 ML0, HACMP 5.1 when I install the oracle 9i, I can't found window for cluster node selection. Why? I read the documents for the hacmp & oracle 9i. There is always that window. But, when I install, that window isn't. any one knows way and solutions? On Mon, 14 Feb 2005, kamistro wrote: > > > I intall oracle 9i RAC on AIX 5.2 ML0, HACMP 5.1 > > when I install the oracle 9i, I can't found window for cluster node selection. > > Why? > > I read the documents for the hacmp & oracle 9i. > There is always that window. > But, when I install, that window isn't. > > any one knows way and solutions? Do you have HACMP installed, configured and running? The Oracle installer looks for clstmgrES to be running. In my experience, once I correctly configure HACMP and start it, the Oracle installer detects HACMP and gives me the option to select nodes. HACMP must be running prior to starting the Oracle installer. If possible, you may also try blowing away the Oracle installer inventory stuff and starting over clean if you have had a failed/unsuccessful installation. HTH, Brandon ...

RE: Kerberos 5 v1.5.1 on AIX 5.2 or AIX 5.3
Believe it or not; both solutions seem to work and compilation succeeds ! #define GET_HOST_BY_NAME(NAME, HP, ERR, TMP) \ { \ (HP) = (gethostbyname_r((NAME), &TMP.ent, &TMP.data) \ ? 0 \ : &TMP.data); \ (ERR) = h_errno; \ } Worked and so did... #define GET_HOST_BY_NAME(NAME, HP, ERR, TMP) \ { \ struct hostent my_h_ent; \ (HP) = (gethostbyname_r((NAME), &TMP.ent, &TMP.data) \ ? 0 \ : &my_h_ent); \ (ERR) = h_errno; \ } Thanks for the help ! I will continue testing with my current install base on AIX. I really appreciate the rapid responses and solutions ! Lamar -----Original Message----- From: Ken Raeburn [mailto:raeburn@MIT.EDU] Sent: Monday, September 18, 2006 5:13 PM To: Marcus Watts Cc: Saxon, Lamar; kerberos@mit.edu Subject: Re: Kerberos 5 v1.5.1 on AIX 5.2 or AIX 5.3 On Sep 18, 2006, at 17:56, Marcus Watts wrote: > Lamar.Saxon@americredit.com writes: > ... >> making all in util... >> making all in util/support... >> cc -I../../include -...

Does 4/2/2= (4/2)/2 =1 OR = 4/(2/2)=4
I don't have matlab and I am trying to translate some simple matlab code. Does 4/2/2 = (4/2)/2 = 1 or 4/2/2 = 4/(2/2) = 4 On 9/11/2012 9:43 AM, sarah.englander@gmail.com wrote: > I don't have matlab and I am trying to translate some simple matlab code. > > Does 4/2/2 = (4/2)/2 = 1 yes. At a given precedence level (and obviously two of the same operators are the same level) evaluation proceeds from LtoR. ....snip... <http://www.mathworks.com/help/techdoc/matlab_prog/f0-40063.html#f0-38155> -- dpb <none@non.net> wrote in message <k2njh1$jes$1@speranza.aioe.org>... > On 9/11/2012 9:43 AM, sarah.englander@gmail.com wrote: > > I don't have matlab and I am trying to translate some simple matlab code. > > > > Does 4/2/2 = (4/2)/2 = 1 > > yes. At a given precedence level (and obviously two of the same > operators are the same level) evaluation proceeds from LtoR. > > ...snip... > > <http://www.mathworks.com/help/techdoc/matlab_prog/f0-40063.html#f0-38155> > > -- There are a few thing you need to understand: 1. You need to get matlab in order to translate the simple code 2. You should define your parameters as in what is the expected output of your search based on the equations used: Is it : a) 4/2/2 b) (4/2/2) On 9/11/2012 11:13 PM, Salvinder wrote: .. > There are a few thing you need to understand: > 1. ...

RE: KRB5 1.4 vs. KRB5 1.3.6 on AIX 5.2 #2
Downloaded KRB5 1.4.1 and the installation worked great with GCC and AIX make. None of the problems that were encountered with 1.4.0 and the unbalanced "(". The problem with: /usr/local/kerberos/bin/kinit -V kinit(v5): Cannot resolve network address for KDC in requested realm while getting initial credentials still exist. If I force it to version 4 KRB it seems to work with the krb5.conf: /usr/local/kerberos/bin/kinit -4 xxxxxxx Password for xxxxxx@xxx.xxxxxxxxxx.xxx: kinit(v4): Can't send request (send_to_kdc) The krb5.conf file is the same file that worked with the 1.3.6 version of KRB5. It does not seem to work with KRB 1.4 or 1.4.1. Any one having similar problems or solutions ? Thanks, Lamar -----Original Message----- From: Saxon, Lamar Sent: Monday, April 25, 2005 11:08 AM To: 'Tom Yu' Cc: kerberos@mit.edu Subject: RE: KRB5 1.4 vs. KRB5 1.3.6 on AIX 5.2 The compile with CC works with no issues. The other issue still remains. "Cannot resolve network address for KDC in requested realm while getting initial credentials" I tried kinit with the -k and verbose; but not with a password. I will post the results once I get it accomplished. Thanks, Lamar -----Original Message----- From: Tom Yu [mailto:tlyu@MIT.EDU] Sent: Thursday, April 21, 2005 2:18 PM To: Saxon, Lamar Cc: kerberos@mit.edu Subject: Re: KRB5 1.4 vs. KRB5 1.3.6 on AIX 5.2 >>>>> "Lamar" == <Lamar.Saxon@americredit.com> writes: La...

Aix 5.2 and gcc 3.3
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Any bleading edgers out there get this to work? Building with BerkeleyDb 4.1.25 and TLS Had some problems with propolice (stack smashing protection) causing gcc to fail. Removed that option and now it compiles but won't link... yeah I know AIX what's new? The configure script for newdb had some of the same errors while testing for mutex's but eventually found configure:17733: result: UI/threads/library Fails with ld: 0711-317 ERROR: Undefined symbol: .mutex_init ld: 0711-317 ERROR: Undefined symbol: .cond_init ld: 0711-317 ERROR: Undefined symbol: .mutex_trylock ld: 0711-317 ERROR: Undefined symbol: .mutex_lock ld: 0711-317 ERROR: Undefined symbol: .cond_wait ld: 0711-317 ERROR: Undefined symbol: .mutex_unlock ld: 0711-317 ERROR: Undefined symbol: .cond_signal ld: 0711-317 ERROR: Undefined symbol: .mutex_destroy beyond that I'm trying w/o newdb and see if that works. acqant -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.2.2 (GNU/Linux) iD8DBQE/PZb/eDVHAE9jNDwRAivoAJ4114m2pejXUMfTZ/0hjq7IGruRpgCfRZoU gVZFeQfYeYZmh6uEhGodtcY= =VoKZ -----END PGP SIGNATURE----- -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 anthony wrote: | Any bleading edgers out there get this to work? | | Building with BerkeleyDb 4.1.25 and TLS - --snip-- | Fails with | | ld: 0711-317 ERROR: Undefined symbol: .mutex_init | ld: 0711-317 ERROR: Undefined symbol: .cond_init | ld: 0711-317 ERROR: Undefined symbol: .mutex_trylock | ld: 07...

Upgrading AIX 4.2 to AIX 5.2 but database version going to be same
Hi folks, I have a client who doesn't want upgrade their oracle 7.3.4 which is running on AIX 4.2 server now and they want to upgrade the OS to AIX 5.2. I have 7.3.4 CD's, Do i need to install 7.3.4 on AIX 5.2 server then move the database? or just copy oracle_home and database from AIX 4.2 server to new server and bring it up? Do anyone already done this in any unix platform just upgraded the OS? Thanks Suresh -- Message posted via http://www.oraclemonster.com "suresh manampilly via OracleMonster.com" <forum@OracleMonster.com> a �crit dans le message de news:91896d38851047afb966679b40a5992f@OracleMonster.com... | Hi folks, | | I have a client who doesn't want upgrade their oracle 7.3.4 which is running on AIX 4.2 server now and they want to upgrade the OS to AIX 5.2. | | I have 7.3.4 CD's, Do i need to install 7.3.4 on AIX 5.2 server then move the database? | | or | | just copy oracle_home and database from AIX 4.2 server to new server and bring it up? | | Do anyone already done this in any unix platform just upgraded the OS? | | Thanks | | Suresh | | -- | Message posted via http://www.oraclemonster.com Oracle 7.3.4 does not work with AIX 5.* See certification matrix on Metalink. Regards Michel Cadot suresh manampilly via OracleMonster.com wrote: > Hi folks, > > I have a client who doesn't want upgrade their oracle 7.3.4 which is running on AIX 4.2 server now and they want to upgrade the OS to AIX 5.2. > &...

linspace(2,2,2) returns [2 2] ??
May be the help for linspace should change? It says: "LINSPACE(X1, X2, N) generates N points between X1 and X2." Notice, it says BETWEEN. But when I ask for 2 points, between 2 and 2: ---------------- EDU>> linspace(2,2,2) ans = 2 2 --------------- May be mathematically this is ok? i.e. there are infinite points between the point and itself? (on the real line), but from programming point of view, it is confusing. no? --Nasser Maybe it should say "generates N points between X1 and X2, inclusive." What did you expect to get back as an answer from issuing linspace(2,2,2)? I didn't understand your statement "there are infinite points between the point and itself?" How do you have an infinite number of points between 2 and 2? I can see an infinite number of points between 2 and something that's not itself, like 2.00000000000000001, but if they are absolutely perfectly identical how are you getting an infinite number of points? On 10/10/2010 11:16 AM, Image Analyst wrote: > Maybe it should say "generates N points between X1 and X2, inclusive." > > What did you expect to get back as an answer from issuing linspace(2,2,2)? > I was just not expecting it to "work". may be an error message. That is not the point. The point is that it did work. > I didn't understand your statement "there are infinite points between the point and it...

2 * 2 * 2 * 2 or pow(2, 4)?
Hi , I hope this isn't too trivial to ask, but I'm evaluating a polynomial that involve lots of terms like x^2y^2z^3, and although I can use the power function pow(a, b), I wonder if just writing x*x*y*y*z*z*z for example wouldn't be more efficient than pow(x, 2)*pow(y, 2)*pow(z,3). Or is it all the same? Thanks, - Olumide Olumide wrote: > I hope this isn't too trivial to ask, but I'm evaluating a polynomial > that involve lots of terms like x^2y^2z^3, and although I can use the > power function pow(a, b), I wonder if just writing x*x*y*y*z*z*z for > exam...

Getting Apache 2.2 and PHP5.1 for AIX 5.3
I could not find the latest versions for AIX 5.3 of * Apache 2.2 * PHP 5.1 from anywhere and not with the right options compiled-in to support the latest web server features and projects I am working on like Ganglia performance monitoring for lots of machines and popular Wiki websites like pmwiki. So I recompiled Apache and PHP from the latest source code. In the end this was not too hard once you have the right pre-reqs and the GNU GCC C compiler v4. I recorded all the instructions to do this at the AIX 5L Wiki web site at: http://www-941.ibm.com/collaboration/wiki/display/WikiPtype/aixopen I hope this saves other people some time, thanks N Thanks very much Nigel!! I have been struggling in the past & eventually gave up... till I read this extremely useful post! Thanks again... > I could not find the latest versions for AIX 5.3 of > * Apache 2.2 > * PHP 5.1 > from anywhere and not with the right options compiled-in to support the > latest web server features and projects I am working on like Ganglia > performance monitoring for lots of machines and popular Wiki websites > like pmwiki. > > So I recompiled Apache and PHP from the latest source code. > In the end this was not too hard once you have the right pre-reqs and > the GNU GCC C compiler v4. > > I recorded all the instructions to do this at the AIX 5L Wiki web site > at: http://www-941.ibm.com/collaboration/wiki/display/WikiPtype/aixopen > > I hope this sav...

Any differences between the Korn shell on Aix 4.2.1 and 5.2?
Can anyone tell me if there are any differences (major or otherwise) between the Korn Shell in AIX 4.2.1 and 5.2? I'm porting an application which uses alot of shell scripts between 4.2.1 and 5.2, and I'm wondering if I will have any problems with them. Tom. yes there are. posix compliance is one. for one thing, if you do numerical manipulation within your scripts, that may break if it is not done in a compliant way. Tom Brehony wrote: > Can anyone tell me if there are any differences (major or otherwise) > between the Korn Shell in AIX 4.2.1 and 5.2? > > I'm porting an application which uses alot of shell scripts between > 4.2.1 and 5.2, and I'm wondering if I will have any problems with > them. > > Tom. <aix@mail.com> wrote in message news:1109778140.664284.152740@g14g2000cwa.googlegroups.com... > yes there are. > posix compliance is one. > for one thing, if you do numerical manipulation within your scripts, > that may break if it is not done in a compliant way. > Tom Brehony wrote: >> Can anyone tell me if there are any differences (major or otherwise) >> between the Korn Shell in AIX 4.2.1 and 5.2? >> >> I'm porting an application which uses alot of shell scripts between >> 4.2.1 and 5.2, and I'm wondering if I will have any problems with >> them. >> >> Tom. > Can you give me an example of the type of numeric manipulation you are talking about...

Reverse binary compatibility between AIX 5.2 and AIX 5.1
Hi , I wrote a simple "hello world" program on AIX5.2 using gcc compiler . The resultant binary exe(name - getpqstatus) when i ran on AIX5.1 it is giving the below error : exec(): 0509-036 Cannot load program ./getpqstatus because of the following errors: 0509-130 Symbol resolution failed for getpqstatus because: 0509-136 Symbol __strtollmax (number 15) is not exported from dependent module /usr/lib/libc.a(shr.o). 0509-192 Examine .loader section symbols with the 'dump -Tv' command. Does anyone has any idea why this is happening ..? Does even simple programs compiled in AIX5.2 do not run on AIX5.1 ...? Any help will be really helpful and appreciated ... Thanks and Regards Sona . H'llo Sona, What you're trying to do is not possible. AIX is being maintained in such a way that older programs will still run on the newer versions of AIX. The other way round, however, is not guaranteed. Apparently, the strtollmax() function was only invented in AIX 5.2, and AIX 5.1 doesn't have it. The golden rule is: whenever you want to support multiple versions of AIX, compile it on the oldest version you want to support. It will *usually* work on the newer versions as well. Cheers, Menno Menno Willemse <flexor@wanadoo.nl> wrote: > The golden rule is: whenever you want to support multiple versions of > AIX, compile it on the oldest version you want to support. It will >...

/dev/random and /dev/urandom on AIX 5.2
I have an AIX 5.2 ML01 system where /dev/random and /dev/urandom was accidentally deleted. Now, SSH complains that it cannot start since PRNG is not seeded. Unfortunately we do not have a snapshot (makesysb) of the system before the accident occurred so we do not know what the major/minor numbers were of the random devices. I've tried recreating both random devices with the mknod command and then assigned them arbitrary unused major numbers. Here's what the perms and ownerships look like: # ls -l /dev/*random crw-r--r-- 1 root system 44, 0 Apr 19 18:42 /dev/random crw-r--r-- 1 root system 44, 1 Apr 19 18:42 /dev/urandom I've confirmed on other similar systems that the perms and ownerships are correct. Does anyone know how to get /dev/random and /dev/urandom rebuilt correctly? Any pointers are greatly appreciated. Thanks in advance. atx Tony wrote: > I've tried recreating > both random devices with the mknod command and then assigned them > arbitrary unused major numbers. I thought that the numbers determined what drivers would be used in the kernel (i.e., major number n devices always handled by the [u]random driver, and n is not arbitrary). Here's what the perms and ownerships > look like: > > # ls -l /dev/*random > crw-r--r-- 1 root system 44, 0 Apr 19 18:42 /dev/random > crw-r--r-- 1 root system 44, 1 Apr 19 18:42 /dev/ur...

building php 5.3.2 on aix 5.2
Hi, I'm trying to build PHP 5.3.2 on AIX 5.2 ML01, gcc & gcc++ 4.0, make 3.8 gmake crashes with the following msg: collect2: ld returned 254 exit status gmake: *** [sapi/cli/php] Error 1 PHP 5.0.5 builds fine. any idea? TIA Michael Michal K napisa�(a): > Hi, > > I'm trying to build PHP 5.3.2 on AIX 5.2 ML01, gcc & gcc++ 4.0, make 3.8 > > gmake crashes with the following msg: > > collect2: ld returned 254 exit status > gmake: *** [sapi/cli/php] Error 1 Of course, PHP version is 5.2.3, in addition here's my configure command ../configure --prefix=/usr/local/php --with-apxs2=/usr/local/apache2/bin/apxs --with-oracle=/path/to/ORACLE_HOME --with-openssl=/opt/freeware --disable-xml --disable-pear --disable-dom --disable-simplexml --enable-mbstring --enable-calendar best regards, M ...

Web resources about - aix 5.2 /dev/random gpg 1.2.2 - comp.unix.aix

Random effects model - Wikipedia, the free encyclopedia
In statistics , a random effect(s) model , also called a variance components model , is a kind of hierarchical linear model . It assumes that ...

Suspect description released after deadly, random stabbing on Rittenhouse Square
Philadelphia police have released a description of the man responsible for a random attack that left a 24-year-old man dead early Sunday on Rittenhouse ...

Send random GIFs, photos and quotes to friends blindly with Rando, a new iPhone app
... — concept. You choose to send a GIF, a quote or a picture (from your Photo library). You then choose a recipient contact and send them a random ...

Rando is a hilarious free iPhone app that starts conversation with random pics or GIFs
... boredom whenever it strikes. Rather than finding apps and games to fiddle around to pass the time, Rando offers something a lot better: Random ...

A random sampling of the obsessions of a 12 year old's mind
A random sampling of the obsessions of a 12 year old's mind by digby For those of you who aren't on twitter every day, here's a look at how ...

This app sends random pictures from your phone to your contacts
... a game of Russian roulette with your iPhone's camera roll: There's an app for that. The app is Rando , a messaging app which will grab a random ...

Selma Blair, 43, went out on a date with David Foster, 66: random or cool?
I have a really strange affection for Selma Blair. It’s difficult to even pinpoint when it started or why I have such a general fondness for ...

Pennsylvania judge victim of 'random' subway assault
PHILADELPHIA (AP) — Officials say a Pennsylvania Supreme Court justice was assaulted by a panhandler in downtown Philadelphia.

Lesbian Professor Cold-Cocked HER OWN FACE Then Swore Random Guy Beat Her Up At Toby Keith Concert
Lesbian Professor Cold-Cocked HER OWN FACE Then Swore Random Guy Beat Her Up At Toby Keith Concert

Dancing With the Stars' Season 22 Celebs Announced—But Did 5 Random People Even Know Who They Were?!
E! Online Dancing With the Stars' Season 22 Celebs Announced—But Did 5 Random People Even Know Who They Were?! E! Online Ready to make like ...

Resources last updated: 3/26/2016 11:25:02 PM